Desktop panel for GNOME

Gnome-panel freeze when 8 windows are open when the panel is vertical/"non-expanded horizontal"

Reported by Saivann Carignan on 2008-01-31
400
This bug affects 51 people
Affects Status Importance Assigned to Milestone
GNOME Panel
Confirmed
Medium
libwnck (Ubuntu)
Medium
Canonical Desktop Team
Declined for Dapper by Sebastien Bacher
Declined for Hardy by Sebastien Bacher
Declined for Intrepid by Sebastien Bacher
Declined for Jaunty by Sebastien Bacher
Declined for Karmic by Sebastien Bacher
Lucid
Medium
Unassigned

Bug Description

Binary package hint: gnome-panel

This bug can always be reproduced and happen in very precise circumstances. When using the "windows list" applet (installed by default) on a gnome panel of at least 30 pixels placed in the right of the screen, it's impossible to open more than 7 windows without freezing completely Gnome-panel and needed to restart Gnome. Since gnome-panel freeze but does not crash, I can't create a backtrace.

This bug is due to the fact that when the gnome-panel is more than 30 pixels, icons are shown for each windows in the panel. When Gnome has 7 windows, icons are stretched and there's no place for another window. At that moment, if 8th window is open, the "windows list" panel panic and gnome-panel freeze.

How to reproduce that bug :

1. Right clic on the default ubuntu bottom panel and click on "properties"
2. Change "Bottom" to "Right" and increase the size to 30 pixels or more ( icons must appear in the windows list in the gnome-panel when the panel is in the right of the screen )
3. Once the panel is at right, open 8 windows.

Result : Gnome panel is now completely freeze, except the notification area.

Tested on gutsy and hardy, gnome-panel 1:2.20.1-0ubuntu1 and 1:2.21.90-0ubuntu1
Tested on Debian Sid, gnome-panel 2.20.3-1
Tested on OpenSuse, gnome-panel 2.20.0

Does NOT happen with :
Debian Lenny, gnome-panel 2.14.3-6

description: updated
description: updated

I can confirm this on the same version of gnome-panel.

Changed in gnome-panel:
status: New → Confirmed
Changed in gnome-panel:
importance: Undecided → Medium
Changed in gnome-panel:
status: Unknown → New
Pedro Villavicencio (pedro) wrote :

Thanks for your report, note that is only reproducible with Ubuntu not with gnome-panel trunk, so maybe it's caused by an Ubuntu patch to it. thanks.

Changed in gnome-panel:
assignee: nobody → desktop-bugs
status: Confirmed → Triaged
Changed in gnome-panel:
status: New → Incomplete
description: updated
description: updated
description: updated
Changed in gnome-panel:
status: Incomplete → New
paskma (paskma) wrote :

I've recorded a demonstration screencast of this bug, it can be found here:

http://www.youtube.com/watch?v=dhCbnq08roA

It shows how the gnome panel completely freezes when more than 7 windows is opened. Demonstrated on Hardy Alpha4, GNOME 2.21.90. This bug makes vertical panel usage completely unbearable.

This bug appeared in GNOME 2.20 (in 2.18 it was not perfect but it worked). There are patches available in GNOME bugzilla #86382 but they were not integrated.

Johannes Rohr (jorohr) wrote :

I'm seeing the same on my laptop which runs on Debian sid.

Saivann Carignan (oxmosys) wrote :

Still reproducible with gnome-panel 1:2.22.0-0ubuntu1

Pedro Villavicencio (pedro) wrote :

Still open upstream, do not re-confirm bugs every time to time if someone already did it, thanks.

Changed in gnome-panel:
status: New → Confirmed
paskma (paskma) wrote :

I've created patches for gnome-panel and libwnck solving this bug. Applicable for gnome-panel 1:2.22.2-0ubuntu1 and libwnck22 2.22.1-0ubuntu1 as they are in Hardy.

Howto apply these patches for testing:

sudo apt-get build-dep gnome-panel
sudo apt-get build-dep libwnck
apt-get source gnome-panel
apt-get source libwnck

tar x paskma-patches.tar

patch -p0 < gnome-panel-paskma.patch
patch -p0 < gnome-panel-paskma-chagnelog.patch
patch -p0 < libwnck-paskma.patch
patch -p0 < libwnck-paskma-chagnelog.patch

cd gnome-panel-2.22.2
debuild -us -uc
cd ..

cd libwnck-2.22.1
debuild -us -uc
cd ..

sudo dpkg -i *.deb

The patches for gnome-panel solve this bug, patches to libwnck improves appearance.

Carey Underwood (cwillu) wrote :

http://bugzilla.gnome.org/show_bug.cgi?id=86382 is related as well, they have a half-working patch.

Carey Underwood (cwillu) wrote :

The root cause seems to be that libwnck (the window list) is providing a size hint based on the desired width of the buttons * the number of columns (based on 25 characters visible), and gnome-panel using that hint to determine the vertical size of the switcher.

The patch here still has issues with more than 7 windows open as described on 152838 and 43066, which their patch addresses. They don't fix the hinting issue however, which leaves the window list set at a maximum height of [width of 25 chars * number of columns].

paskma (paskma) wrote :

The patches available at http://bugzilla.gnome.org/show_bug.cgi?id=86382 partially work, but they are huge and have not been for a year.

My patches are trivial and only solve the regression of gnome 2.20 where windows list size configuration was removed (and automatic resizing is buggy). My patches solve *the* bug with more than 7 windows opened on vertical panel. Here is a proof:

http://www.youtube.com/watch?v=bNlL16hsqZI

paskma (paskma) wrote :

The patches available at http://bugzilla.gnome.org/show_bug.cgi?id=86382 partially work, but they are huge and have not been *merged to trunk* for a year.

--sorry for my typo

Saivann Carignan (oxmosys) wrote :

I tested the gnome-panel patch under intrepid (gnome-panel 1:2.22.2-0ubuntu2) and the patches fixes the problem. I was able to open 60 gnome-terminal windows with no problem. However, a side effect is that a single window takes the whole bar and it is not possible to right clic to set the bar to bottom instead of left/right without removing window list applet temporarily.

paskma (paskma) wrote :

>However, a side effect is that a single window takes the whole bar and it is not possible to right...

The vertical size allocation is improved by the second patch in my tarball: libwnck-paskma.patch. The patch makes the window list applet to require height according to the number of actually opened windows.

Saivann Carignan (oxmosys) wrote :

Strangely, I can't reproduce what I mentioned before, even without libwnck patch applied. Anyway, works perfectly with libwnck and gnome-panel patches here, thanks for this great work!

beep_beep (peter-kovgan) wrote :

I have that bug too... It's so annoying...Help, help!!!

PhilM (systeme1) wrote :

I have that bug too...
Before, I use Feisty, never a such bug, it is coming with Hardy Heron on my computer.
Many people dont know this bug on linux, why us,some users in the world ?
I'm french then excuse me for my bad language.
Phil

Aaron Hatch (wantsportycar) wrote :

Thanks so much paskma!

Paskma's patch worked great for me with gnome-panel-2.22.2 and libwnck-2.22.3, although I had to apply the libwnck patch manually.

Hi,
Thanks for your message. I have gnome 2.22.3 and paskma's patches work on gnome 2.22.2
Is it possible that this patches work well on 2.22.3 also ?
I'm not great in linux and I don't want to make an error on my system.
Thanks you for your next mail.
Phil

----- Message d'origine ----
De : Aaron Hatch <email address hidden>
À : <email address hidden>
Envoyé le : Dimanche, 31 Août 2008, 5h13mn 27s
Objet : [Bug 187540] Re: Gnome-panel freeze when 8 windows are open when the panel is on the right

Thanks so much paskma!

Paskma's patch worked great for me with gnome-panel-2.22.2 and
libwnck-2.22.3, although I had to apply the libwnck patch manually.

--
Gnome-panel freeze when 8 windows are open when the panel is on the right
https://bugs.launchpad.net/bugs/187540
You received this bug notification because you are a direct subscriber
of the bug.

paskma, thank you for this patch, I truly appreciate your work on this. I've been through hundreds of pages over the past few days of people discussing this bug and this is the first sight of hope :)

Apparently, Ubuntu upgraded gnome-panel to 2.22.3 (as shown in my System Monitor and About Gnome).
Like the previous poster, I'm unsure if this patch will still work?
The files that were downloaded by apt are [gnome-panel-2.22.2] and [libwnck-2.22.3].

Please advise how to proceed. Thanks you once again.

prl77 (peterlecki) wrote :

My mistake... The version of gnome is not the same as the version of gnome-panel.
Now that I have my info straight, the gnome-panel is the same version as you have patched. However, the libwnck-common package I have is 2.22.3 while your patch is for 2.22.1 - will this still work?

prl77 (peterlecki) wrote :

Marek, are you monitoring this thread?
Prosze o pomoc :)

Updated summary: "right" -> "vertical" as it happens just the same on the left or right (as seen in the youtube link in comment #3).

bmhm (bmhm) wrote :

prl77 wrote:
> However, the libwnck-common package I have is 2.22.3 while your patch is for 2.22.1 - will this still work?

Well, I just edited the libwnck*.patches to the right folder and it did work. No freezes anymore.

Thanks paskma!!!

prl77 (peterlecki) wrote :

@bmhm
I did that as well and was able to compile the code. However, I guess I'm not sure how to apply it? I've never done anything like this before and I'm not sure if there's another step after the "sudo dpkg -i *.deb" command? I ran that and it seemed to complete, but then no changes after reboot. How do I apply the changes or verify that the patches are in effect?

Paksma, thank you for these patches!
I can confirm that they work against libwnck-2.22.3 (in Ubuntu Hardy Heron) as well.

prl77: you do not need any additional actions after installing the modified packages ("sudo dpkg -i") and restarting gnome-panel.

mike (donotaskwhoiam) wrote :

i am following paskma's instruction.

but when i enter the dir of the taskma-patches.tar and run the following command, there is no output info at all.

"tar x paskma-patches.tar"

and i do not understand the following instruction:

"patch -p0 < gnome-panel-paskma.patch
patch -p0 < gnome-panel-paskma-chagnelog.patch
patch -p0 < libwnck-paskma.patch
patch -p0 < libwnck-paskma-chagnelog.patch"

I am a linux newbie, can anyone help me? :o)

Dominik Lang (dlang-access) wrote :

Hi all,

i've installed the 8.10 release today and noticed this bug is still present. I've written a little shell-script that automates all the steps outlined by paskma (thanks for the patches by the way) and fiddles with the version numbers so that patch will not complain about it.

Things to note:
- use at your own risk (as with everything)
- it has been tested with a fresh Interpid Ibex installation (gnome-panel and libwnck versions: 2.24.1) and most probably also works with previous versions down to 2.22.0, 2.22.1 respectively.
- may also work in future releases
- Synaptic will want to update to the broken ones again afterwards, iirc.
- It doesn't update the Changelogs anymore, since their patches didn't work even with the modifications, and i'm too lazy to dig into the patch syntax.

So here it is: http://dominiklang.ch/gnome-panel-fix

Save the file in the directory of your choice, make it executable (if you don't know how, you'll find a way in the file's settigns) and run it with root privileges ($ sudo gnome-panel-fix).

mike (donotaskwhoiam) wrote :

Hi Mr. Dominik Lang,

I right clicked on the desktop and created a new empty file, copied the text in http://dominiklang.ch/gnome-panel-fix and pasted it there, saved it and renamed it as "gnome-panel-fix".

But when I opened a terminal, navigated to the desktop and ran "sudo gnome-panel-fix" , it said "command not found". ;-(

Would you kindly tell me what is wrong?

Thanks.

Saivann Carignan (oxmosys) wrote :

Please don't use launchpad malone for support. I know that it comes from good intentions, but mixing bugs and support ends by making things more complicate. Your contribution would be welcome on ubuntuforums I'm sure. Thanks for your understanding.

As a side note, I'd love to understand what's keeping this bug from being fixed on the main stream. It has been what, 4 Ubuntu releases since it appeared (Dapper was ok, Feisty started to show it)?

|Please don't use launchpad malone for support. I know that it comes from
|good intentions, but mixing bugs and support ends by making things more
|complicate. Your contribution would be welcome on ubuntuforums I'm sure.
|Thanks for your understanding.
|
|--
|Gnome-panel freeze when 8 windows are open when the panel is vertical
|https://bugs.launchpad.net/bugs/187540
|You received this bug notification because you are a direct subscriber
|of the bug.

I've created a new thread in the forums so we can move the discussion over there: http://ubuntuforums.org/showthread.php?t=968901

Orzech (porzechowski) wrote :

FYI

mike wrote on 2009-01-03: (https://bugs.launchpad.net/ubuntu/+source/gnome-panel/+bug/313327/comments/2)

a person have posted a perfect patch here, and we tested it already: http://ubuntuforums.org/showthread.php?t=968901

would you please consider to just add it to the standard version so users do not need to fix this bug on their own?

it is a really long-standing bug. i am a little bit disappointed, to be honest.

Orzech wrote:
> FYI
>
> mike wrote on 2009-01-03: (https://bugs.launchpad.net/ubuntu/+source
> /gnome-panel/+bug/313327/comments/2)
>
> a person have posted a perfect patch here, and we tested it already:
> http://ubuntuforums.org/showthread.php?t=968901
>
> would you please consider to just add it to the standard version so
> users do not need to fix this bug on their own?
>
> it is a really long-standing bug. i am a little bit disappointed, to be
> honest.
>

Amen.

This patch has been already discussed by GNOME developers in their bug tracking system and it is still not appropriate. It is a very good workaround at the mean time, but not good enough to be applied on upstream project so this bug will stay open until GNOME developers (or anyone else) make a complete patch that meet the needs.

doobydave (dooby-dave) wrote :

Would it not be possible to prompt a user to install the patch the moment they decide to move the panel to a vertical position?

At each time a new user experiences this bug enough to be able to find details about it (let's face it, it's not very clear why the machine hangs - and only after it has occurred enough might a user guess where the problem lies), they will be very disappointed to learn how old it is.

I know this isn't the place to vent any frustration, but frankly I am getting tired with Ubuntu's relentless 'progress' (well, the implementation of many vista-like "Are you sure you're sure?" dialogs) rather than fixing the mess made by two releases a year. Having seen several bugs die with the discontinuation of support for previous versions, I'm not so sure that there are sufficient resources to achieve a single bug-free distro.

Jimmy (jimmyjrcrack) wrote :

Hello, I can confirm that bug in Gnome-panel, 8.10 Intrepid, I detected because I like to change the panels I didn't knew all these information of the gnome-panel bugs, but its the same using the latest version of ubuntu , the only way I can change this is resetting my user, the right side panel in the bar it still working. My first freeze was with the emerald theme manager and next was the windows in the right, thanks.

Good Luck.

Jimmy (jimmyjrcrack) wrote :

There are 6 windows open in the right bar, when I open anything else, its freeze the panel. Here is a picture that describe it.

Sebastien Bacher (seb128) wrote :

the bug has been confirmed and sent upstream could people stop adding comment to say they get the issue, that has no issue and mail spam everybody subscribed to the bug

Changed in gnome-panel:
assignee: desktop-bugs → seb128
mike (donotaskwhoiam) wrote :

here is a bad news.

this problem exists in ubuntu9.04(still in alpha stage) with gnome 2.26 also.

The God cried, "I will not see this bug fixed before I die!"

Orzech (porzechowski) wrote :

It is better not to involve God into this issue. ;) Sad thing is that users having notebooks with widescreen will still suffer from this bug. Of course as long as they won't waste their vertical space with horizontal-oriented panels or run too many GUI applications. :/

Takes the fun out of life, doesn't it?

On Fri, Mar 20, 2009 at 6:42 AM, Orzech <email address hidden> wrote:
> It is better not to involve God into this issue. ;) Sad thing is that
> users having notebooks with widescreen will still suffer from this bug.
> Of course as long as they won't waste their vertical space with
> horizontal-oriented panels or run too many GUI applications. :/
>
> --
> Gnome-panel freeze when 8 windows are open when the panel is vertical
> https://bugs.launchpad.net/bugs/187540
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in The GNOME 2 Panel: Confirmed
> Status in “gnome-panel” source package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gnome-panel
>
> This bug can always be reproduced and happen in very precise circumstances. When using the "windows list" applet (installed by default) on a gnome panel of at least 30 pixels placed in the right of the screen, it's impossible to open more than 7 windows without freezing completely Gnome-panel and needed to restart Gnome. Since gnome-panel freeze but does not crash, I can't create a backtrace.
>
> This bug is due to the fact that when the gnome-panel is more than 30 pixels, icons are shown for each windows in the panel. When Gnome has 7 windows, icons are stretched and there's no place for another window. At that moment, if 8th window is open, the "windows list" panel panic and gnome-panel freeze.
>
> How to reproduce that bug :
>
> 1. Right clic on the default ubuntu bottom panel and click on "properties"
> 2. Change "Bottom" to "Right" and increase the size to 30 pixels or more ( icons must appear in the windows list in the gnome-panel when the panel is in the right of the screen )
> 3. Once the panel is at right, open 8 windows.
>
> Result : Gnome panel is now completely freeze, except the notification area.
>
> Tested on gutsy and hardy, gnome-panel 1:2.20.1-0ubuntu1 and 1:2.21.90-0ubuntu1
> Tested on Debian Sid, gnome-panel 2.20.3-1
> Tested on OpenSuse, gnome-panel 2.20.0
>
> Does NOT happen with :
> Debian Lenny, gnome-panel 2.14.3-6
>

--
Chris
"Life should NOT be a journey to the grave with the intention of
arriving safely in an attractive and well-preserved body, but rather
to skid in sideways, karaoke mic in one hand, beer in the other, body
thoroughly used up, totally warn out, and screaming 'WOO HOO! What a
ride!':

No, it takes the fun out of using Gnome on widescreen laptops.

On Fri, Mar 20, 2009 at 1:55 PM, Chris B <email address hidden> wrote:
> Takes the fun out of life, doesn't it?
>
> On Fri, Mar 20, 2009 at 6:42 AM, Orzech wrote:
> > It is better not to involve God into this issue. ;) Sad thing is that
> > users having notebooks with widescreen will still suffer from this bug.
> > Of course as long as they won't waste their vertical space with
> > horizontal-oriented panels or run too many GUI applications. :/

> Sad thing is that users having notebooks with widescreen will still suffer from this bug.
> Of course as long as they won't waste their vertical space with horizontal-oriented
> panels or run too many GUI applications.

A partial solution for my widescreen laptop was the use of Separtors in an expanded panel to limit the growth of the Window List applet to a maximum of 7 rows of buttons.
It's not an optimal solution but it is extremely easy to adopt and it works.

Could you give more information about your workaround? I'm sure that everyone would love to have an alternative other than being forced out of Gnome or losing vertical space on a widescreen laptop.

|> Sad thing is that users having notebooks with widescreen will still suffer
|from this bug.
|> Of course as long as they won't waste their vertical space with
|horizontal-oriented
|> panels or run too many GUI applications.
|
|A partial solution for my widescreen laptop was the use of Separtors in an
|expanded panel to limit the growth of the Window List applet to a maximum of 7
|rows of buttons.
|It's not an optimal solution but it is extremely easy to adopt and it works.
|
|--
|Gnome-panel freeze when 8 windows are open when the panel is vertical
|https://bugs.launchpad.net/bugs/187540
|You received this bug notification because you are a direct subscriber
|of the bug.

Orzech (porzechowski) wrote :

Thanks for advice Luca. Hrimhari, as far as I understand, you just need
to place a separator on panel somewhere below window list applet not
allowing it to expand too much ("to a maximum of 7 rows of buttons").

Hrimhari wrote:
> Could you give more information about your workaround? I'm sure that
> everyone would love to have an alternative other than being forced out
> of Gnome or losing vertical space on a widescreen laptop.
>

> you just need to place a separator on panel somewhere
> below window list applet not allowing it to expand too
> much ("to a maximum of 7 rows of buttons").

That's exactly what I meant.
- Put a Separator a little below the Window List applet;
- Launch at least eight applications;
- Move the Separator until you have no more than seven rows of buttons so that the eighth button appears in the second column;
- Lock the Window List and the Separator to the panel.

Hope this helps.

marsteegh (m-versteegh) wrote :

this bug still happens here on jaunty. I can open 8 windows and then it hangs. The workaround using the separator does work, but it is not a very nice workaround, since I's rather use all of the available vertical space.

Carey Underwood (cwillu) wrote :

I've attached a new patch to bug https://bugs.launchpad.net/ubuntu/+source/gnome-panel/+bug/43066 which also fixes this bug. It's minimally invasive, affecting on a single file in libwnck22.

silviop (far5893) wrote :

There are news ? here in karmic koala last update the bug is still there......

silviop wrote:
> There are news ? here in karmic koala last update the bug is still
> there......
>

This is getting to be of interest to more people as displays
are getting shorter and wider. It will soon be impossible
to buy a traditional display with a 4:3 aspect ratio. The
ads in my local discount electronic store indicate they do
promote them any longer.

This migration to wide aspect ratio displays make vertical
space a premium. For this reason, users need to re-orient
the tool bars along the vertical edges.

Could someone please fix this ancient bug.

Ray

And we mean, PLEEEEASE!!!!! It's there since Feisty!!!! C'mon!

|silviop wrote:
|> There are news ? here in karmic koala last update the bug is still
|> there......
|>
|
|This is getting to be of interest to more people as displays
|are getting shorter and wider. It will soon be impossible
|to buy a traditional display with a 4:3 aspect ratio. The
|ads in my local discount electronic store indicate they do
|promote them any longer.
|
|This migration to wide aspect ratio displays make vertical
|space a premium. For this reason, users need to re-orient
|the tool bars along the vertical edges.
|
|Could someone please fix this ancient bug.
|
|Ray
|
|--
|Gnome-panel freeze when 8 windows are open when the panel is vertical
|https://bugs.launchpad.net/bugs/187540
|You received this bug notification because you are a direct subscriber
|of the bug.

I posted similar reasoning to Ray Lillard under bug 43066 (the bug regards generally bad behaviour of vertical panels). Although, I put panels / task bars at the sides of my screens even with 4:3 screens. I just thought I’d jump on the bandwagon in this bug report as well.

Strong work from the Ubuntu team and Linux community in general though.

This bug does not affect vertical panels only. I've been using a horizontal, non-expanded panel for a number of years now and it keeps freezing about once a day. (Talk about being lazy to fix things).

Here's how to reproduce it, consistently to the best of my knowledge:

1. Open a horizontal panel.
2. Add a launcher to it.
3. Drag the launcher using the left mouse button (NOT middle) until the cursor changes to D'n'D.
4. Drop the launcher back in its place (or anywhere else). Panel freezes.
5. Grab one of the panel's handles and move it onscreen. Panel unfreezes.

riprop (riprop) wrote :

I can also confirm this bug on Ubuntu 9.10 rc. I've been trying new version for year and a half, but I'm still on Xubuntu 8.04, because bug with vertical panel is not solved yet.

Please solve this bug in Ubuntu 9.10, it has been unsolved for too long. Thank you!
Regards

3esmit (3esmit) wrote :

Hello!
I've found out that this bug is also reported by me, but this one is more complete.
I tested, and it freezes just when vertical panel is used, and when eight windows are open.

https://bugs.launchpad.net/ubuntu/+source/gnome-panel/+bug/465853

can you please merge them?

Thank you, good work!

Piscium (piscium) wrote :

I started using Ubuntu 3 months ago and lost a huge amount of time due to this bug. I thought it was due to Jaunty Intel graphics, so upgraded to Karmic just to get rid of it and the bug is still around!

So today I searched for this bug on the net and luckily found this description. I have now moved my panel to the horizontal. Still I think it would be good if this issue could be solved.

The worst thing about this bug is that one has no idea what causes it, as it is not obvious that it's due to the vertical orientation of the panel.

Please, let's not keep this bug restricted to vertical panels only. It manifests itself with non-expanded horizontal panels too, as I explained above.

Piscium (piscium) wrote :

This bug has 11 duplicates, so it is likely that hundreds of people have, like me, lost time with it.

I suggest therefore that a mention to this bug with a link to this bug description be added to the release notes for Jaunty and Karmic.

3esmit (3esmit) on 2009-11-05
summary: Gnome-panel freeze when 8 windows are open when the panel is vertical
+ /"non-expanded horizontal"
3esmit (3esmit) wrote :

This video shows what gnome panel is trying to do while it is freezed: http://www.youtube.com/watch?v=v4GvNbjNlK8

Seems like this is a very old bug, but now instead of this bug, shown in video, it freezes with the following dead lock process:
00:20:30.127339 read(3, 0x13d4774, 4096) = -1 EAGAIN (Resource temporarily unavailable)
00:20:30.127374 poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
00:20:30.127408 writev(3, [{"(\0\4\0\\\0`\1\v\1\0\0\0\0\\\0", 16}, {NULL, 0}, {"", 0}], 3) = 16
00:20:30.127449 poll([{fd=3, events=POLLIN}], 1, -1) = 1 ([{fd=3, revents=POLLIN}])
00:20:30.127679 read(3, "\1\1\37v\0\0\0\0\3\0`\1\343\377\230\0\240\304}\0\0\0\0\0(\0\0\0\0\0\0\0", 4096) = 32

Reset (r3s3t-osfight) wrote :

@Зоран Рилак

This seem to be a different problem, as the gnome panel freeze in this bug is due to the window list application. Moreover the whole panel crashes and a panel restart is necessary. I suggest you try to look for a similar bug related to the launcher application. More information http://www.osfight.de/archives/92 or bugzilla http://bugzilla.gnome.org/show_bug.cgi?id=513347.

description: updated
Jessica Freeman (freema67) wrote :

I have been running Ubuntu on my system since 2004 or 2005. The gnome-panel freeze began 2 or 3 years in. I have applied Paskma's patch in the past to fix the problem, and this works very well. The only problem, however, was that this created an error when I wanted to update to 9.10 recently. The updater was unable to locate the ubuntu-minimum package. I figured that this was likely due to the fact that I had patched libwnck and gnome-panel which were likely part of the ubuntu-minimum package. Indeed, when I manually updated these libwnck and gnome-panel, the updater had no trouble in updating. The gnome-panel vertical freeze is still an issue, however, and I will likely reapply Paskma's patches.

I'm affected to (new laptop with wide screen and I cry for vertical space). The main reason I'm adding a comment is to mention that the "Window Selector (switch between open windows using a menu)" panel applet isn't affect (it's probably obvious for some, but perhaps not for all people affected). But its use is less convenient.

Here is another patch.

It tries to attack the root cause of the problem: the window list doesn't handle vertical layout as such but as a case of tall and narrow horizontal layout. So I've:
- added indication of the orientation,
- passed the orientation from the applet,
- modified the computation of the layout using the orientation (in some place I test the orientation and duplicate the computation mutatis mutandis)

There is still work to do. For instance if you want a wide vertical patch, with my patch it doesn't use more than one column even when it would be better to do so.

--
Jean-Marc

Here is a variant which touch more profoundly the layout algorithm. It will add in the minor direction (rows for horizontal task list, columns for vertical one) when too constrained.

jmst (jmst) wrote :

I have a dual boot PC, with Windows XP in a NTFS partition. If I do not shutdown Windows properly, for instance doing hibernate instead of shutdown, when I start Ubuntu Karmic the disk is very busy, and gnome-panel uses a lot of CPU. I have to reboot Windows, shutdown properly, and reboot Ubuntu. Then the problem is solved.

Changed in gnome-panel (Ubuntu Lucid):
assignee: Sebastien Bacher (seb128) → Canonical Desktop Team (canonical-desktop-team)
Reset (r3s3t-osfight) wrote :

Bug assignee, can you give us an update on this fix? Will it be solved in Lucid finally?

Sebastien Bacher (seb128) wrote :

The bug will be updated when there is some change, no need to ask about it. The issue has been added to the lists of bugs the Canonical Desktop Team will try to work on before lucid so let's see if gets fixed this cycle

@Sebastien, if I can do anything more than the two patches above, just say so. For the record, I'm using the second one since I wrote it.

Sebastien Bacher (seb128) wrote :

thank you, right now it rather requires somebody to sit down and try to understand the code and what the changes are doing to review the patch though, we will let you know if we have comments

Daniel (daniel3ub) wrote :

Hi, guys. I have this same problem, but I have another one too: i don't know how to apply the patch :(
Can anybody help me, please?
Thanks.

riprop (riprop) wrote :

Hi,
I've upgraded (from network) to Ubuntu 10.04, and I can confirm that the bag is a little changed, but still exists :(. The good news is: at least someone is working on this bug :).

Now, when there is more than 8 windows opened, the icons start blinking couple of seconds (10-20 sec). It seams like the panel is trying to extend applet then to shorten it then to extend it ... and so on, so it appears as blinking. When stop blinking, panel is working right (it is not friezed as before). After opening more windows, the blinking last more and more, so panel is not usable. usable

I've also test live version (without installation on hdd) on virtualbox, the behavior is the same (blinking).

I'm using amd64 desktop version on laptop.

Regards

riprop (riprop) wrote :

little correction:

1. replace: "7" with "8" so it is ... when there is more than 7 windows opened ...

2. On live version it starts blinking when there is more than 10 windows opened !

Regards

Sebastien Bacher (seb128) wrote :

The issue should be fixed in maverick now with that change:

libwnck (2.30.0-2) unstable; urgency=low

  * Switch to 3.0 (quilt) format.
  * 01_vertical_panel.patch: patch from Carey Underwood and Leniviy to
    fix lockups when the window list applet is on a vertical panel.
    Closes: #524117.

If the fix is confirmed to work it will be backported to lucid later

affects: gnome-panel (Ubuntu) → libwnck (Ubuntu)
Changed in libwnck (Ubuntu):
status: Triaged → Fix Released
Sebastien Bacher (seb128) wrote :

the change creates some issues, debian has an updated version

Changed in libwnck (Ubuntu Lucid):
assignee: Canonical Desktop Team (canonical-desktop-team) → nobody
Changed in gnome-panel:
importance: Unknown → Medium
Hrimhari (felipe-carassonet) wrote :

Well, that gives me an idea of when my wireless (broken by lucid) will be fixed: It takes 6 Ubuntu releases.

mike (donotaskwhoiam) wrote :

still not fixed on ubuntu 10.10 with gnome 2.32.0

winter (winter-kf) wrote :

I'm running Ubuntu 10.10 (Maverick), Gnome 2.32.0 & this bug still exist as of now 24 Jan 2011. Been seeing this bug since the previous release, just wonder when is it going to get fix? This is a show stopping one ...

uname -a: Linux hostname 2.6.35-22-generic #35-Ubuntu SMP Sat Oct 16 20:45:36 UTC 2010 x86_64 GNU/Linux

Maybe Gnome 3 comes out without this bug, since is a whole refactoring.

2011/1/24 winter <email address hidden>

> I'm running Ubuntu 10.10 (Maverick), Gnome 2.32.0 & this bug still exist
> as of now 24 Jan 2011. Been seeing this bug since the previous release,
> just wonder when is it going to get fix? This is a show stopping one ...
>
> uname -a: Linux hostname 2.6.35-22-generic #35-Ubuntu SMP Sat Oct 16
> 20:45:36 UTC 2010 x86_64 GNU/Linux
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/187540
>
> Title:
> Gnome-panel freeze when 8 windows are open when the panel is vertical
> /"non-expanded horizontal"
>
> Status in Desktop panel for GNOME:
> Confirmed
> Status in “libwnck” package in Ubuntu:
> Fix Released
> Status in “libwnck” source package in Lucid:
> Triaged
>
> Bug description:
> Binary package hint: gnome-panel
>
> This bug can always be reproduced and happen in very precise
> circumstances. When using the "windows list" applet (installed by
> default) on a gnome panel of at least 30 pixels placed in the right of
> the screen, it's impossible to open more than 7 windows without
> freezing completely Gnome-panel and needed to restart Gnome. Since
> gnome-panel freeze but does not crash, I can't create a backtrace.
>
> This bug is due to the fact that when the gnome-panel is more than 30
> pixels, icons are shown for each windows in the panel. When Gnome has
> 7 windows, icons are stretched and there's no place for another
> window. At that moment, if 8th window is open, the "windows list"
> panel panic and gnome-panel freeze.
>
> How to reproduce that bug :
>
> 1. Right clic on the default ubuntu bottom panel and click on "properties"
> 2. Change "Bottom" to "Right" and increase the size to 30 pixels or more (
> icons must appear in the windows list in the gnome-panel when the panel is
> in the right of the screen )
> 3. Once the panel is at right, open 8 windows.
>
> Result : Gnome panel is now completely freeze, except the notification
> area.
>
> Tested on gutsy and hardy, gnome-panel 1:2.20.1-0ubuntu1 and
> 1:2.21.90-0ubuntu1
> Tested on Debian Sid, gnome-panel 2.20.3-1
> Tested on OpenSuse, gnome-panel 2.20.0
>
> Does NOT happen with :
> Debian Lenny, gnome-panel 2.14.3-6
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-panel/+bug/187540/+subscribe
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.